using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            // k1 - prvi krug, k2 - drugi krug, k3 - treci krug

            int k2 = int.Parse(Console.ReadLine());
            int k3 = int.Parse(Console.ReadLine());
            int k1 = 0;
            Console.WriteLine();
            if (k2 >= 0 && k2 <= 500 && k3 >= 0 && k3 <= 500)
            {
                if (k2 + k3 >= 256)
                {
                    Console.WriteLine(k1);
                }
                else
                {
                    if (k2 + k3 < 256)
                    {
                        if (k2 >= k3)
                        {
                            k1 = 256 - k2;
                            Console.WriteLine(k1);
                        }
                        else
                        {
                            k1 = 256 - k3;
                            Console.WriteLine(k1);
                        }
                    }
                }
            }
            else
            {
                Console.WriteLine("Error k2 ili k3 mora biti vece od 0 i manje od 500");
            }
        }
    }
}